classification
Title: PEP 3121, 384 Refactoring applied to pyexpat module
Type: resource usage Stage: resolved
Components: Extension Modules Versions: Python 3.4
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Py_Finalize() doesn't clear all Python objects at exit
View: 1635741
Assigned To: Nosy List: Robin.Schreiber, erlendaasland, vstinner
Priority: normal Keywords: pep3121

Created on 2012-08-16 19:55 by Robin.Schreiber, last changed 2021-03-15 12:02 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
pyexpat_pep3121-384_v0.patch Robin.Schreiber, 2012-08-16 19:54
Messages (2)
msg168404 - (view) Author: Robin Schreiber (Robin.Schreiber) * (Python triager) Date: 2012-08-16 19:54
Changes proposed in PEP3121 and PEP384 have now been applied to the pyexpat module!
msg388726 - (view) Author: Erlend Egeberg Aasland (erlendaasland) * Date: 2021-03-15 10:54
Fixed by GH-22222.
History
Date User Action Args
2021-03-15 12:02:46vstinnersetstatus: open -> closed
superseder: Py_Finalize() doesn't clear all Python objects at exit
resolution: duplicate
stage: resolved
2021-03-15 10:54:55erlendaaslandsetnosy: + erlendaasland, vstinner
messages: + msg388726
2012-11-08 13:45:49Robin.Schreibersetkeywords: + pep3121, - patch
2012-08-27 03:46:04belopolskylinkissue15787 dependencies
2012-08-16 19:55:00Robin.Schreibercreate